<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <SccProjectName />
    <SccLocalPath />
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>Windows7.1SDK</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.Cpp.UpgradeFromVC60.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)..\ActiveBasic\SubOperation\</OutDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <StringPooling>true</StringPooling>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <Optimization>MaxSpeed</Optimization>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <WarningLevel>Level3</WarningLevel>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_USRDLL;RES_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AssemblerListingLocation>.\Release\</AssemblerListingLocation>
      <PrecompiledHeaderOutputFile>.\Release\res.pch</PrecompiledHeaderOutputFile>
      <ObjectFileName>.\Release\</ObjectFileName>
      <ProgramDataBaseFileName>.\Release\</ProgramDataBaseFileName>
    </ClCompile>
    <Midl>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <TypeLibraryName>.\Release\res.tlb</TypeLibraryName>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <TargetEnvironment>Win32</TargetEnvironment>
    </Midl>
    <ResourceCompile>
      <Culture>0x0411</Culture>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Release\res.bsc</OutputFile>
    </Bscmake>
    <Link>
      <LinkDLL>true</LinkDLL>
      <ImportLibrary>.\Release\res.lib</ImportLibrary>
      <NoEntryPoint>true</NoEntryPoint>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ResourceCompile Include="res.rc" />
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="base_directx.bmp" />
    <CustomBuild Include="base_dosprompt.bmp" />
    <CustomBuild Include="base_non.bmp" />
    <CustomBuild Include="base_prompt.bmp" />
    <CustomBuild Include="base_window.bmp" />
    <CustomBuild Include="BasicProgram.ico" />
    <CustomBuild Include="ToolbarIcon_Debugger\BreakPoint.ico" />
    <CustomBuild Include="cursor_arrow_to_right.cur" />
    <CustomBuild Include="cursor_fill.cur" />
    <CustomBuild Include="cursor_pen.cur" />
    <CustomBuild Include="ToolbarIcon_Debugger\DebugCompile.ico" />
    <CustomBuild Include="ToolbarIcon_Debugger\DebugRun.ico" />
    <CustomBuild Include="file_bmp.ico" />
    <CustomBuild Include="file_icon.ico" />
    <CustomBuild Include="folder_close.ico" />
    <CustomBuild Include="folder_open.ico" />
    <CustomBuild Include="html_general_parameter.ico" />
    <CustomBuild Include="html_parameter.ico" />
    <CustomBuild Include="ico00001.ico" />
    <CustomBuild Include="ico00002.ico" />
    <CustomBuild Include="icon1.ico" />
    <CustomBuild Include="member_private_function.ico" />
    <CustomBuild Include="member_private_variable.ico" />
    <CustomBuild Include="member_public_function.ico" />
    <CustomBuild Include="member_public_variable.ico" />
    <CustomBuild Include="menu.ico" />
    <CustomBuild Include="newfile_abp.ico" />
    <CustomBuild Include="newfile_html.ico" />
    <CustomBuild Include="newfile_icon.ico" />
    <CustomBuild Include="newfile_project.ico" />
    <CustomBuild Include="newfile_sbp.ico" />
    <CustomBuild Include="newfile_text.ico" />
    <CustomBuild Include="pair_statement.ico" />
    <CustomBuild Include="ToolbarIcon_Debugger\Pause.ico" />
    <CustomBuild Include="Procedure.ico" />
    <CustomBuild Include="program_folder.ico" />
    <CustomBuild Include="ToolbarIcon_Debugger\StepIn.ico" />
    <CustomBuild Include="ToolbarIcon_Debugger\StepOver.ico" />
    <CustomBuild Include="ToolbarIcon_Debugger\StepToCursor.ico" />
    <CustomBuild Include="ToolbarIcon_Debugger\Stop.ico" />
    <CustomBuild Include="TextDocument.ico" />
    <CustomBuild Include="TOOLBAR1.BMP" />
    <CustomBuild Include="toolbar2.bmp" />
    <CustomBuild Include="toolbar_basic_disabled.bmp" />
    <CustomBuild Include="toolbar_debugger.bmp" />
    <CustomBuild Include="toolbar_icon.bmp" />
    <CustomBuild Include="toolbar_standard.bmp" />
    <CustomBuild Include="toolbar_standard_disabled.bmp" />
    <CustomBuild Include="Window.ico" />
    <CustomBuild Include="zoomin.ico" />
    <CustomBuild Include="zoomout.ico" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>